My Project: Global Class Reference

My Project

Static Public Member Functions | Static Public Attributes | List of all members
Global Class Reference

`#include <global.h>`

## Static Public Member Functions

static void | Graphics ()
static void | AmbientLight (float r, float g, float b)
static void | ClearCollisions ()
static void | Collisions (int src_no, int dest_no, int method_no, int response_no=0)
static void | ClearWorld (int entities=true, int brushes=true, int textures=true)
static void | UpdateWorld (float anim_speed=1.0)
static void | RenderWorld ()
static void | UpdateEntityAnim (Mesh &mesh)

## Static Public Attributes

static int | width =640
static int | height =480
static int | mode
static int | depth
static int | rate
static float | ambient_red =0.5
static float | ambient_green =0.5
static float | ambient_blue =0.5
static Shader * | ambient_shader =0
static int | vbo_enabled =true
static int | vbo_min_tris =0
static int | Shadows_enabled =false
static float | anim_speed =1.0
static int | fog_enabled =false
static Pivot * | root_ent =new Pivot()
static Camera * | camera_in_use
static int | alpha_enable =-1
static int | blend_mode =-1
static int | fx1 =-1
static int | fx2 =-1

## Member Function Documentation

## § AmbientLight()

void Global::AmbientLight | ( | float | r,
|  | float | g,
|  | float | b
| ) |  |

static

## § ClearCollisions()

void Global::ClearCollisions | ( |  | ) |

static

## § ClearWorld()

void Global::ClearWorld | ( | int | entities = `true`,
|  | int | brushes = `true`,
|  | int | textures = `true`
| ) |  |

static

## § Collisions()

void Global::Collisions | ( | int | src_no,
|  | int | dest_no,
|  | int | method_no,
|  | int | response_no = `0`
| ) |  |

static

## § Graphics()

void Global::Graphics | ( |  | ) |

static

## § RenderWorld()

void Global::RenderWorld | ( |  | ) |

static

## § UpdateEntityAnim()

void Global::UpdateEntityAnim | ( | Mesh & | mesh | ) |

static

## § UpdateWorld()

void Global::UpdateWorld | ( | float | anim_speed = `1.0` | ) |

static

## Member Data Documentation

## § alpha_enable

int Global::alpha_enable =-1

static

## § ambient_blue

float Global::ambient_blue =0.5

static

## § ambient_green

float Global::ambient_green =0.5

static

## § ambient_red

float Global::ambient_red =0.5

static

## § ambient_shader

Shader * Global::ambient_shader =0

static

## § anim_speed

float Global::anim_speed =1.0

static

## § blend_mode

int Global::blend_mode =-1

static

## § camera_in_use

Camera * Global::camera_in_use

static

## § depth

int Global::depth

static

## § fog_enabled

int Global::fog_enabled =false

static

## § fx1

int Global::fx1 =-1

static

## § fx2

int Global::fx2 =-1

static

## § height

int Global::height =480

static

## § mode

int Global::mode

static

## § rate

int Global::rate

static

## § root_ent

Pivot * Global::root_ent =new Pivot()

static

## § Shadows_enabled

int Global::Shadows_enabled =false

static

## § vbo_enabled

int Global::vbo_enabled =true

static

## § vbo_min_tris

int Global::vbo_min_tris =0

static

## § width

int Global::width =640

static

The documentation for this class was generated from the following files:

- openb3dlib.mod/openb3d/src/global.h
- openb3dlib.mod/data.cpp
- openb3dlib.mod/openb3d/src/global.cpp